﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.FormattedLinkLabel;
using Infragistics.Win;
using Infragistics.Win.Misc;
using Infragistics.Win.UltraWinEditors;

namespace UltraExpandableGrouBox
{
    public partial class Form1 : Form
    {
        private List<object> MyList;
        private bool ShiftPress;

        public Form1()
        {
            InitializeComponent();
            MyList = new List<object>();
            this.KeyDown += new KeyEventHandler(Form1_KeyDown);
        }

        void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Shift) ShiftPress = true;
            else ShiftPress = false;
        }

        private void ultraExpandableGroupBox1_DoubleClick(object sender, EventArgs e)
        {
            ultraTextEditor1.Visible = true;
            ultraTextEditor1.Text = ultraExpandableGroupBox1.Text;
        }

        private void ultraTextEditor1_AfterExitEditMode(object sender, EventArgs e)
        {
            ultraExpandableGroupBox1.Text = ultraTextEditor1.Text;
            ultraTextEditor1.Visible = false;
        }

        private void ultraExpandableGroupBox2_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Shift) ShiftPress = true;
            else ShiftPress = false;
        }

        private void ultraExpandableGroupBox2_KeyUp(object sender, KeyEventArgs e)
        {
            ShiftPress = false;
        }

        private void ultraExpandableGroupBox1_KeyUp(object sender, KeyEventArgs e)
        {
            ShiftPress = false;
        }

        private void ultraExpandableGroupBox1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Shift) ShiftPress = true;
            else ShiftPress = false;
        }

        private void ultraExpandableGroupBox1_MouseClick(object sender, MouseEventArgs e)
        {
            
            if (e.Button == System.Windows.Forms.MouseButtons.Left && ShiftPress)
            {
                if (MyList.Contains(ultraExpandableGroupBox1))
                {
                    MyList.Remove(ultraExpandableGroupBox1);
                    ultraExpandableGroupBox1.HeaderAppearance.BackColor = Color.Empty;
                }
                else
                {
                    MyList.Add(ultraExpandableGroupBox1);
                    ultraExpandableGroupBox1.HeaderAppearance.BackColor = Color.Blue;
                }
            }
            ShiftPress = false;
        }

        private void ultraExpandableGroupBox2_MouseClick(object sender, MouseEventArgs e)
        {

            if (e.Button == System.Windows.Forms.MouseButtons.Left && ShiftPress)
            {
                if (MyList.Contains(ultraExpandableGroupBox2))
                {
                    MyList.Remove(ultraExpandableGroupBox2);
                    ultraExpandableGroupBox2.HeaderAppearance.BackColor = Color.Empty;
                }
                else
                {
                    MyList.Add(ultraExpandableGroupBox2);
                    ultraExpandableGroupBox2.HeaderAppearance.BackColor = Color.Blue;
                }
            }
            ShiftPress = false;
        }
    }
}
